Generates the pay conditions comparison report as JSON, grouped by primary location then employee.
GET http:///api/v2/business/{businessId}/report/payconditioncomparison
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| businessId | string | Required |
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| PeriodSelectionType | string |
Possible values are:
|
|
| StartDate | date-time | ||
| EndDate | date-time | ||
| PayScheduleId | int32 | ||
| PayRunId | int32 | ||
| ServicePeriodType | string |
Possible values are:
|
|
| ServicePeriodStartDate | date-time | ||
| ServicePeriodEndDate | date-time | ||
| EmployingEntityId | int32 | ||
| LocationId | int32 | ||
| EmployeeId | int32 | ||
| NegativeVariancesOnly | boolean |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code | Description | Resource |
|---|---|---|
| 200 | OK OK |
PccReportApiModel |
| 403 | Forbidden Forbidden |
ProblemDetails |
| 409 | Conflict Conflict |
ProblemDetails |
Powered by DapperDox